# Copyright (c) 2000-2011, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%bcond_with bootstrap 
%bcond_with jbossorg
%bcond_without repolib

%define section free

%define reltag .redhat_3
%define namedreltag -redhat-3
%global namedversion %{version}%{?namedreltag}

%global repodir %{_javadir}/repository.jboss.com/apache-xalan/%{namedversion}-brew
%global repodirlib %{repodir}/lib
%global repodirsrc %{repodir}/src

%global cvs_version 2_7_1

%define shortname xalan-j2

Name:           xalan-j2-eap6
Version:        2.7.1
Release:        6.12%{?reltag}%{?dist}.2
Epoch:          0
Summary:        Java XSLT processor
License:        ASL 2.0
URL:            http://xalan.apache.org/
Group:          Text Processing/Markup/XML
%if 0
git clone https://github.com/jboss/xalan-j.git && cd xalan-j && git config --local core.autocrlf true && git archive --prefix=xalan-j2-2.7.1/ --format=tar b482c102d3011eb7d05d | bzip2 -9 > ../xalan-j2-2.7.1.tar.bz2
%endif
%if 0
svn export -r 1163820 http://svn.apache.org/repos/asf/xalan/java/tags/xalan-j_2_7_1 xalan-j2-2.7.1 && tar cjf xalan-j2-2.7.1.tar.bz2 xalan-j2-2.7.1/
%endif
Source0:        xalan-j2-2.7.1.tar.bz2
Source1:        xalan-j2-2.7.0-component-info.xml
Source2:        pom-xalan.xml
Source3:        pom-serializer.xml
Patch0:         xalan-j2-build_xml.patch
# Fix the XALANJ-2376:
#TransformerFactory.newTransformer(source) returns null instead throwing
#an exception and according to the specs newTransformer() should not
#return null.
Patch1:         xalan-j2-XALANJ-2376.patch
# Has been merged into 2.7.1 sources
# PatchX:       xalan-j2-XALANJ-2321-AVT.patch
# JBPTP-177 Upgrade xalan-j2 from 2.7.1.patch02 to 2.7.1.patch03
Patch2:         xalan-j2-XALANJ-2382.patch
# JBPAPP-5230 CLONE -Patch Xalan for XALANJ-2195
# JBPAPP-5231 Upgrade Xalan to 2.7.1.patch04
Patch3:         xalan-j2-XALANJ-2195.patch
Patch4:         xalan-j2-crosslink.patch
Patch5:         xalan-j2-enable-xsltc.patch  
Patch6:         xalan-j2-manifest.patch      
# FIXME We just enabled xsltc with Patch5, should we use the patch below?
Patch7:         xalan-j2-noxsltcdeps.patch   
Patch8:         xalan-j2-stylesheets-xmlns-redirect.patch
Patch9:         xalan-j2-XALANJ-2535.patch
Provides:       jaxp_transform_impl

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires(post): %{_sbindir}/update-alternatives
Requires(preun): %{_sbindir}/update-alternatives
Requires:       jaxp_parser_impl
Requires:       jpackage-utils

BuildRequires:  ant
BuildRequires:  java-devel
BuildRequires:  java-javadoc
BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:  xerces-j2 >= 0:2.7.1
BuildRequires:  xml-commons-jaxp-1.3-apis
BuildRequires:  maven2-plugin-deploy
BuildRequires:  jboss-parent
%if %without bootstrap
BuildRequires:  bcel
BuildRequires:  brazil
BuildRequires:  ejb_api
BuildRequires:  java-cup
BuildRequires:  java-fonts
BuildRequires:  jlex
BuildRequires:  regexp
BuildRequires:  sed
BuildRequires:  servlet_api
BuildRequires:  xml-stylebook
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Xalan is an XSLT processor for transforming XML documents into HTML,
text, or other XML document types. It implements the W3C Recommendations
for XSL Transformations (XSLT) and the XML Path Language (XPath). It can
be used from the command line, in an applet or a servlet, or as a module
in other program.

%package -n %{shortname}
Summary:        Java XSLT processor
Group:          Text Processing/Markup/XML
Provides:       jaxp_transform_impl
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires(post): %{_sbindir}/update-alternatives
Requires(preun): %{_sbindir}/update-alternatives
Requires:       jaxp_parser_impl
Requires:       jpackage-utils

%description -n %{shortname}
Xalan is an XSLT processor for transforming XML documents into HTML,
text, or other XML document types. It implements the W3C Recommendations
for XSL Transformations (XSLT) and the XML Path Language (XPath). It can
be used from the command line, in an applet or a servlet, or as a module
in other program.

%if %without bootstrap
%package -n %{shortname}-xsltc
Summary:        XSLT compiler
Group:          Text Processing/Markup/XML
Requires:       bcel
Requires:       java_cup
Requires:       jlex
Requires:       regexp
Requires:       jaxp_parser_impl

%description -n %{shortname}-xsltc
The XSLT Compiler is a Java-based tool for compiling XSLT stylesheets into
lightweight and portable Java byte codes called translets.
%endif

%package -n %{shortname}-manual
Summary:        Manual for %{shortname}
Group:          Text Processing/Markup/XML

%description -n %{shortname}-manual
Manual for %{shortname}.

%package -n %{shortname}-javadoc
Summary:        Javadoc for %{shortname}
Group:          Development/Documentation
Requires:       jpackage-utils

%description -n %{shortname}-javadoc
Javadoc for %{shortname}.

%if %without bootstrap
%package -n %{shortname}-demo
Summary:        Demo for %{shortname}
Group:          Text Processing/Markup/XML
Requires:       %{shortname} = %{epoch}:%{version}-%{release}
Requires:       servlet_api

%description -n %{shortname}-demo
Demonstrations and samples for %{shortname}.
%endif

%if %with repolib
%package -n %{shortname}-repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java

%description -n %{shortname}-repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%setup -q -n %{shortname}-%{version}
pushd xdocs
for i in `%{__tar} tf xml-site-style.tar.gz | %{__grep} -v '/$'`; do
    test -e $i && %{__rm} $i
done
%{__tar} xf xml-site-style.tar.gz
%{__rm} xml-site-style.tar.gz
popd
%if %without jbossorg
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%if %without bootstrap
%if 0
%patch5 -p1
%endif
%endif
%endif
%patch4 -p1
%if 0
%patch6 -p1
%endif
%patch7 -p1
%patch8 -p1
%patch9 -p1
## FIXME
pushd xdocs
%{__tar} czf xml-site-style.tar.gz style
popd

%if %without jbossorg
%{__rm} src/org/apache/xalan/Version.java
%{__rm} src/org/apache/xml/serializer/Version.java
%{__rm} xdocs/style/stylesheets/done.xsl
%{__mkdir} maven
%{__cp} -p %{SOURCE2} maven/pom-xalan.xml
%{__cp} -p %{SOURCE3} maven/pom-serializer.xml
%endif

# FIXME: who knows where the sources are? xalan-j1?
%{_bindir}/find -type f -name '*.jar' -and -not \( -name xalan2jdoc.jar -or -name xalan2jtaglet.jar \) | %{_bindir}/xargs -t %{__rm}

%{__rm} src/xml-commons-external-1.3.02-src.tar.gz
%{__tar} czf src/xml-commons-external-1.3.02-src.tar.gz --files-from=/dev/null

%{__chmod} 0755 samples/extensions/sql/*.sh

%{__cp} -p %{SOURCE2} xalan.pom
%{__cp} -p %{SOURCE3} serializer.pom

%{__sed} -i -e 's:\r$::g' NOTICE.txt KEYS LICENSE.txt

%{__sed} -i -e 's:<version>%{version}.*</version>:<version>%{namedversion}</version>:' maven/pom-xalan.xml
%{__sed} -i -e 's:<version>%{version}.*</version>:<version>%{namedversion}</version>:' maven/pom-serializer.xml

# replace parent version to eap 6.0.1 build of apache parent
%{__sed} -i -e 's:<version>4</version>:<version>7-redhat-2</version>:' maven/pom-xalan.xml
%{__sed} -i -e 's:<version>4</version>:<version>7-redhat-2</version>:' maven/pom-serializer.xml

pushd lib
ln -s $(build-classpath java_cup-runtime) runtime.jar
ln -s $(build-classpath bcel) BCEL.jar
ln -s $(build-classpath regexp) regexp.jar
ln -s $(build-classpath xercesImpl) xercesImpl.jar
ln -s $(build-classpath xml-commons-jaxp-1.3-apis) xml-apis.jar
popd
pushd tools
ln -s $(build-classpath java_cup) java_cup.jar
ln -s $(build-classpath ant) ant.jar
ln -s $(build-classpath jlex) JLex.jar
ln -s $(build-classpath xml-stylebook) stylebook-1.0-b3_xalan-2.jar
popd

%build
export OPT_JAR_LIST=:
%if %with bootstrap
export CLASSPATH=
%{ant} -Dimpl.version=%{namedversion} -Djava.awt.headless=true -Dapi.j2se=%{_javadocdir}/java -Dant.build.javac.source=1.5 -Dant.build.javac.target=1.5 xalan-interpretive.jar
%else
export CLASSPATH=`%{_bindir}/build-classpath brazil ejb_api servlet_api`
%{ant} -Dimpl.version=%{namedversion} -Djava.awt.headless=true -Dapi.j2se=%{_javadocdir}/java -Dbuild.xalan-interpretive.jar=build/xalan-interpretive.jar \
    -Dant.build.javac.source=1.5 -Dant.build.javac.target=1.5 distclean xalan-interpretive.jar xsltc.unbundledjar fulldist
%endif

export MAVEN_REPO_LOCAL=`pwd`/.m2/repository
export URL=file://`pwd`/maven2-brew
#export MAVEN_OPTS="-Xms1g -Xmx1g"
%if %without bootstrap
%{_bindir}/mvn-jpp deploy:deploy-file -Dmaven.repo.local=${MAVEN_REPO_LOCAL} -DpomFile=maven/pom-xalan.xml -Dfile=build/xalan.jar -Dsources=build/xalan-sources.jar \
  -DrepositoryId=jboss-releases-repository -Durl=${URL}
%else
%{_bindir}/mvn-jpp deploy:deploy-file -Dmaven.repo.local=${MAVEN_REPO_LOCAL} -DpomFile=maven/pom-xalan.xml -Dfile=build/xalan-interpretive.jar \
  -Dsources=build/xalan-sources.jar -DrepositoryId=jboss-releases-repository -Durl=${URL}
%endif
%{_bindir}/mvn-jpp deploy:deploy-file -Dmaven.repo.local=${MAVEN_REPO_LOCAL} -DpomFile=maven/pom-serializer.xml -Dfile=build/serializer.jar \
  -Dsources=build/serializer-sources.jar -DrepositoryId=jboss-releases-repository -Durl=${URL}
%{_bindir}/mvn-jpp deploy:deploy-file -Dmaven.repo.local=${MAVEN_REPO_LOCAL} -DpomFile=maven/pom-xalan.xml -Dfile=build/xalan-j_%{cvs_version}-src.zip \
  -Dpackaging=zip -Dclassifier=source-release -DrepositoryId=jboss-releases-repository -Durl=${URL}

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%if %without bootstrap
%{__cp} -p build/xalan.jar %{buildroot}%{_javadir}/%{shortname}-%{namedversion}.jar
%{__cp} -p build/xsltc.jar %{buildroot}%{_javadir}/xsltc-%{namedversion}.jar
%else
%{__cp} -p build/xalan-interpretive.jar %{buildroot}%{_javadir}/%{shortname}-%{namedversion}.jar
%endif
%{__cp} -p build/serializer.jar %{buildroot}%{_javadir}/%{shortname}-serializer-%{namedversion}.jar

# add a symlink to serializer.jar to match upstream jar naming
pushd %{buildroot}%{_javadir}
%{__ln_s} %{shortname}-serializer-%{namedversion}.jar %{buildroot}%{_javadir}/serializer-%{namedversion}.jar
%{__ln_s} %{shortname}-%{namedversion}.jar xalan-%{namedversion}.jar
popd

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}.jar; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} "s|-%{namedversion}||g"`; done)

# Alternative JAR location
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}
%if %without bootstrap
%{__cp} -p build/xalan.jar %{buildroot}%{_javadir}/%{name}/%{shortname}-%{namedversion}.jar
%{__cp} -p build/xsltc.jar %{buildroot}%{_javadir}/%{name}/xsltc-%{namedversion}.jar
%else
%{__cp} -p build/xalan-interpretive.jar %{buildroot}%{_javadir}/%{name}/%{shortname}-%{namedversion}.jar
%endif
%{__cp} -p build/serializer.jar %{buildroot}%{_javadir}/%{name}/%{shortname}-serializer-%{namedversion}.jar

# add a symlink to serializer.jar to match upstream jar naming
pushd %{buildroot}%{_javadir}/%{name}
%{__ln_s} %{shortname}-serializer-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/serializer-%{namedversion}.jar
%{__ln_s} %{shortname}-%{namedversion}.jar xalan-%{namedversion}.jar
popd

(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{namedversion}.jar; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_datadir}/maven2/poms
# FIXME: deploy bug
%{__cp} -pv maven2-brew/xalan/serializer/*/serializer-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP-%{shortname}-serializer.pom
%{__cp} -pv maven2-brew/xalan/xalan/*/xalan-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP-%{shortname}.pom

# depmaps
%add_to_maven_depmap xalan serializer %{namedversion} JPP %{shortname}-serializer
%add_to_maven_depmap xalan xalan %{namedversion} JPP %{shortname}

# XXX: old jboss depmaps---should we remove?
%add_to_maven_depmap apache-xalan serializer %{namedversion} JPP %{shortname}-serializer
%add_to_maven_depmap apache-xalan xalan %{namedversion} JPP %{shortname}

%if %without bootstrap
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{shortname}-%{namedversion}
%{__cp} -pr build/docs/apidocs/* %{buildroot}%{_javadocdir}/%{shortname}-%{namedversion}
%{__ln_s} %{shortname}-%{namedversion} %{buildroot}%{_javadocdir}/%{shortname}

# demo
%{__mkdir_p} %{buildroot}%{_datadir}/%{shortname}
%{__cp} -p build/xalansamples.jar %{buildroot}%{_datadir}/%{shortname}/%{shortname}-samples.jar
%{__cp} -p build/xalanservlet.war %{buildroot}%{_datadir}/%{shortname}/%{shortname}-servlet.war
%{__cp} -pr samples %{buildroot}%{_datadir}/%{shortname}

%{__mkdir_p} %{buildroot}%{_docdir}/%{shortname}-%{namedversion}
%{__cp} -pr build/docs %{buildroot}%{_docdir}/%{shortname}-%{namedversion}
%{__cp} -p readme.html %{buildroot}%{_docdir}/%{shortname}-%{namedversion}/docs
%{__rm} -r %{buildroot}%{_docdir}/%{shortname}-%{namedversion}/docs/apidocs
# fix link between manual and javadoc
(cd %{buildroot}%{_docdir}/%{shortname}-%{namedversion}/docs; %{__ln_s} %{_javadocdir}/%{shortname}-%{namedversion} apidocs)
%endif

# jaxp_transform_impl ghost symlink
%if 1
/bin/touch %{buildroot}%{_javadir}/jaxp_transform_impl.jar
%else
%{__ln_s} %{_sysconfdir}/alternatives %{buildroot}%{_javadir}/jaxp_transform_impl.jar
%endif

%if %with repolib
%{__mkdir_p} %{buildroot}%{repodir}
%{__mkdir_p} %{buildroot}%{repodirlib}
%{__cp} -p %{SOURCE1} %{buildroot}%{repodir}/component-info.xml
%{__sed} -i 's/@VERSION@/%{namedversion}-brew/g' %{buildroot}%{repodir}/component-info.xml
tag=`/bin/echo %{name}-%{version}-%{release} | %{__sed} 's|\.|_|g'`
%{__sed} -i "s/@TAG@/$tag/g" %{buildroot}%{repodir}/component-info.xml
%{__mkdir_p} %{buildroot}%{repodirsrc}
%{__cp} -p %{SOURCE0} %{buildroot}%{repodirsrc}
%if %without jbossorg
%{__cp} -p %{PATCH0} %{buildroot}%{repodirsrc}
%{__cp} -p %{PATCH1} %{buildroot}%{repodirsrc}
%{__cp} -p %{PATCH2} %{buildroot}%{repodirsrc}
%{__cp} -p %{PATCH3} %{buildroot}%{repodirsrc}
%endif
%{__cp} -p %{PATCH4} %{buildroot}%{repodirsrc}
%if %without jbossorg
%if %without bootstrap
%if 0
%{__cp} -p %{PATCH5} %{buildroot}%{repodirsrc}
%endif
%endif
%endif
%if 0
%{__cp} -p %{PATCH6} %{buildroot}%{repodirsrc}
%endif
%{__cp} -p %{PATCH7} %{buildroot}%{repodirsrc}
%{__cp} -p %{PATCH8} %{buildroot}%{repodirsrc}
%{__cp} -p %{PATCH9} %{buildroot}%{repodirsrc}
%{__cp} -p %{buildroot}%{_javadir}/serializer.jar %{buildroot}%{repodirlib}/serializer.jar
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP-%{shortname}-serializer.pom %{buildroot}%{repodirlib}/serializer.pom
%{__cp} -p %{buildroot}%{_javadir}/xalan.jar %{buildroot}%{repodirlib}/xalan.jar
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP-%{shortname}.pom %{buildroot}%{repodirlib}/xalan.pom
%endif

%if %with repolib
%{__mkdir_p} %{buildroot}%{_javadir}/repository.jboss.com
%{__cp} -pr maven2-brew %{buildroot}%{_javadir}/repository.jboss.com
%endif

%clean
%{__rm} -rf %{buildroot}

%post -n %{shortname}
%{_sbindir}/update-alternatives --install %{_javadir}/jaxp_transform_impl.jar jaxp_transform_impl %{_javadir}/%{shortname}.jar 30
%update_maven_depmap

%postun -n %{shortname}
%update_maven_depmap

%preun -n %{shortname}
{
  [ $1 = 0 ] || exit 0
  %{_sbindir}/update-alternatives --remove jaxp_transform_impl %{_javadir}/%{shortname}.jar
} >/dev/null 2>&1 || :

%if 0
%post xsltc
%{_sbindir}/update-alternatives --install %{_javadir}/jaxp_transform_impl.jar jaxp_transform_impl %{_javadir}/xsltc.jar 10

%preun xsltc
{
  [ $1 = 0 ] || exit 0
  %{_sbindir}/update-alternatives --remove jaxp_transform_impl %{_javadir}/xsltc.jar
} >/dev/null 2>&1 || :
%endif

%files
%defattr(0644,root,root,0755)
%{_javadir}*/%{name}/*jar

%files -n %{shortname}
%defattr(0644,root,root,0755)
%doc KEYS LICENSE.txt NOTICE.txt readme.html
%{_javadir}*/%{shortname}-%{namedversion}.jar
%{_javadir}*/%{shortname}.jar
%{_javadir}*/%{shortname}-serializer-%{namedversion}.jar
%{_javadir}*/%{shortname}-serializer.jar
%{_javadir}*/serializer-%{namedversion}.jar
%{_javadir}*/serializer.jar
%{_javadir}*/xalan-%{namedversion}.jar
%{_javadir}*/xalan.jar
%ghost %{_javadir}*/jaxp_transform_impl.jar
%{_datadir}/maven2/poms/JPP-%{shortname}.pom
%{_datadir}/maven2/poms/JPP-%{shortname}-serializer.pom
%{_mavendepmapfragdir}/%{name}

%if %without bootstrap
%files -n %{shortname}-xsltc
%defattr(0644,root,root,0755)
%{_javadir}*/xsltc-%{namedversion}.jar
%{_javadir}*/xsltc.jar

%files -n %{shortname}-manual
%defattr(0644,root,root,0755)
%doc %dir %{_docdir}/%{shortname}-%{namedversion}
%doc %{_docdir}/%{shortname}-%{namedversion}/docs

%files -n %{shortname}-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{shortname}-%{namedversion}
%{_javadocdir}/%{shortname}

%files -n %{shortname}-demo
%defattr(-,root,root,0755)
%{_datadir}/%{shortname}
%endif

%if %with repolib
%files -n %{shortname}-repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}*
%exclude %dir %{_javadocdir}
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Thu Sep 13 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:2.7.1-6.12.redhat_3.2
- Rebuild due to deploy bug

* Thu Sep 13 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:2.7.1-6.12.redhat_3.1
- Fix parent to eap 6.0.1 build of apache parent

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.7.1-6.11.redhat_2.2
- Rebuild due to deploy bug

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.7.1-6.11.redhat_2.1
- Rebuild unsigned

* Mon Aug 06 2012 David Walluck <dwalluck@redhat.com> 0:2.7.1-6.11
- BuildRequires: java-fonts

* Mon Aug 06 2012 David Walluck <dwalluck@redhat.com> 0:2.7.1-6.10
- rebuild

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.7.1-6.9_redhat_1.2.2
- Rebuild using cache signing

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.7.1-6.9_redhat_1.2.1
- Rebuild using cache signing

* Tue Apr 10 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.7.1-6.9_redhat_1.2
- Rebuild with a -eap6 suffix to avoid conflict with RHEL-6 base

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.7.1-6.9_redhat_1.1
- Rebuild using cache signing

* Fri Feb 03 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.7.1-6.7_redhat_1
- Rebuild

* Thu Sep 22 2011 David Walluck <dwalluck@redhat.com> 0:2.7.1-6.8_redhat_1
- copy maven contents to repolib
- leave bundled jars so that docs build correctly
- fix symlinks

* Wed Aug 31 2011 David Walluck <dwalluck@redhat.com> 0:2.7.1-6.7_redhat_1
- don't change groupId in poms
- remove old poms
- use upstream sources
- add jbossorg poms as additional sources
- add build patch from jbossorg
- convert patches to unix format
- don't patch for version and set property instead
- apply XALANJ-2535 patch
- don't apply manifest and xsltc patches
- use jbossorg sources and poms

* Wed Aug 31 2011 David Walluck <dwalluck@redhat.com> 0:2.7.1-6.6_redhat_1
- fix wrong-file-end-of-line-encoding
- add readme.html to docs
- remove bundled src/xml-commons-external-1.3.02-src.tar.gz
- patch and recreate xdocs/xml-site-style.tar.gz

* Wed Aug 31 2011 David Walluck <dwalluck@redhat.com> 0:2.7.1-6.5_redhat_1
- use xalan.jar, not xalan-interpretive.jar, in non-bootstrap mode
- don't patch to use xsltc in bootstrap mode

* Mon Aug 29 2011 David Walluck <dwalluck@redhat.com> 0:2.7.1-6.4_redhat_1
- clean build so that lex and cup run
- perform full build
- BuildRequires: brazil
- BuildRequires: ejb_api
- BuildRequires: servlet_api not servlet_2_5_api
- fix missing org.apache.xalan.xsltc.trax.TransformerFactoryImpl
- remove bad upload script, set maven.repo.local for deploy
- replace ln -sf with ln -s and remove redundant symlinking
- remove obsolete GCJ support
- fix mix of tabs and spaces
- version jars
- fix manual files

* Wed Aug 03 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.7.1-6.3_redhat_1
- Update build_xml.patch to fix release tag

* Fri Jul 29 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.7.1-6.2_redhat_1
- Fix release

* Tue Jun 07 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.7.1-6_1_redhat.1
- Rebuild

* Tue Jun 07 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.7.1-6_1_redhat
- Upgrade to 2.7.1-1-redhat
 
* Wed Mar 02 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.7.1-5.3_patch_04
- Rebuild

* Thu Feb 24 2011 David Walluck <dwalluck@redhat.com> 0:2.7.1-5.2_patch_04
- use jboss groupId for xml-apis in poms
- use full version in poms, maven depmaps, and file/dir names
- fix full version in component-info.xml
- fix pom copying to repolib
- fix repolib dir ownership
- update xalan-j2-upload.sh to use mvn-jpp
- update xerces:xercesImpl version in poms to latest
- remove macros from comments

* Tue Feb 15 2011 Permaine Cheung <pcheung@redhat.com> - 0:2.7.1-5.1_patch_04
- Update Release: tag to be newer than the EAP 4 one

* Fri Jan 21 2011 Permaine Cheung <pcheung@redhat.com> - 0:2.7.1-3.5_patch_04
- Fix upload.sh

* Fri Jan 21 2011 Permaine Cheung <pcheung@redhat.com> - 0:2.7.1-3.4_patch_04
- Add patch for XALANJ-2195 as -patch-04
- Fix groupId to apache-xalan and add depmap for proper repolib content

* Thu Dec 02 2010 Yiqiao Wang <yiwang@redhat.com> - 0:2.7.1-3.3
- Build with Maven 2.2.1
- Add upload.sh to repolib
- Fix %%files for signed jars
- Add content of maven2-brew, add BR mavne-deploy-plugin

* Mon Jun 07 2010 Permaine Cheung <pcheung@redhat.com> - 0:2.7.1-3.2
- Rebuild with javac.source and javac.target=1.5 (needed for tomcat6)

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:2.7.1-1.2.1
- rebuilt

* Mon Apr 19 2010 Yiqiao Wang <yiwang@redhat.com> 0:2.7.1-1.2
- Rebuild

* Thu Apr 01 2010 Martha Benitez <mbenitez@redhat.com> 0:2.7.1-2
- Add xalan-j2-XALANJ-2382.patch as patch03
- Add pom.xml files to repolib

* Wed Jan 13 2010 David Walluck <dwalluck@redhat.com> 0:2.7.1-1.1
- add real poms to get correct dependencies

* Wed Jul 29 2009 Yong Yang <yyang@redhat.com> 0:2.7.1-1
- 2.7.1
- Comment Patch0 Patch1 Patch2 Patch4
- Change java-cup to java_cup

* Fri May 21 2009 David Walluck <dwalluck@redhat.com> 0:2.7.0-13
- enable repolib

* Thu May 21 2009 David Walluck <dwalluck@redhat.com> 0:2.7.0-12
- fix BuildRequires

* Thu May 21 2009 David Walluck <dwalluck@redhat.com> 0:2.7.0-11
- add xalan-j2-XALANJ-2321-AVT.patch as patch02

* Fri Sep 19 2008 David Walluck <dwalluck@redhat.com> 0:2.7.0-10
- fix file list
- fix repolib

* Fri Jun 13 2008 Fernando Nasser <fnasser@redhat.com> 0:2.7.0-9
- Rebuild without JPP 1.7

* Wed May 28 2008 David Walluck <dwalluck@redhat.com> 0:2.7.0-8.jpp5
- add repolib option
- add XALANJ-2376.patch
- remove javadoc scriptlets
- remove spurious requirement on gnu-crypto
- fix License
- fix duplicate %%changelog section
- fix macros in %%changelog
- properly comment out xsltc scripts

* Mon Feb 12 2007 Ralph Apel <r.apel at r-apel.de> 0:2.7.0-7jpp
- Add option to omit -xsltc subpackage while bootstrapping
- Restore unapplied patches
- Fix empty post/postun

* Fri Aug 18 2006 Vivek Lakshmanan <vivekl@redhat.com> - 0:2.7.0-6jpp
- Add a postun section to rebuild jar db provided GCJ support is enabled.

* Thu Aug 10 2006 Vivek Lakshmanan <vivekl@redhat.com> - 0:2.7.0-5jpp
- Add Requires post/preun for update-alternatives.
- Remove Requires for update-alternatives.
- Add Requires(x) for javadoc subpackage.
- Add postun section for javadoc subpackage.

* Fri Jul 21 2006 Vivek Lakshmanan <vivekl@redhat.com> - 0:2.7.0-4jpp
- Fix two typos in files section.

* Wed Jul 19 2006 Vivek Lakshmanan <vivekl@redhat.com> - 0:2.7.0-3jpp
- Conditional native compilation with GCJ.
- Use NVR macros wherever possible.
- Exclude war which blocks aot compilation of main jar (RH BZ#171005)
  (Archit Shah - Nov 1 2005 - 0:2.6.0-3jpp_4fc)

* Wed Mar 22 2006 Ralph Apel <r.apel at r-apel.de> 0:2.7.0-2jpp
- First JPP-1.7 release
- Fix some (Build)Requires

* Fri Oct 07 2005 Ralph Apel <r.ape at r-apel.de> 0:2.7.0-1jpp
- Upgrade to 2.7.0
- Include serializer.jar as xalan-j2-serializer.jar

* Fri May 27 2005 Gary Benson <gbenson at redhat.com> 0:2.6.0-3jpp
- Add NOTICE file as per Apache License version 2.0.
- Build with servletapi5.

* Thu Aug 26 2004 Ralph Apel <r.ape at r-apel.de> 0:2.6.0-2jpp
- Build with ant-1.6.2
- Try with -Djava.awt.headless=true

* Tue Mar 23 2004 Kaj J. Niemi <kajtzu@fi.basen.net> 0:2.6.0-1jpp
- Updated to 2.6.0
- Patches supplied by <aleksander.adamowski@altkom.pl>

* Sat Nov 15 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.5.2-1jpp
- Update to 2.5.2.
- Re-enable javadocs, new style versionless symlink handling, crosslink
  with local J2SE javadocs.
- Spec cleanups.

* Sat Jun  7 2003 Vil le Skyttä <ville.skytta at iki.fi> - 0:2.5.1-1jpp
- Update to 2.5.1.
- Fix jpackage-utils version in BuildRequires, add xerces-j2.
- Non-versioned javadoc symlinking.
- Add one missing epoch.
- Clean up manifests from Class-Path's and other stuff we don't include.
- xsltc no longer provides a jaxp_transform_impl because of huge classpath
  and general unsuitablity for production-use, system-installed transformer.
- Own (ghost) %%{_javadir}/jaxp_transform_impl.jar.
- Remove alternatives in preun instead of postun.
- Disable javadoc subpackage for now:
  <http://issues.apache.org/bugzilla/show_bug.cgi?id=20572>

* Thu Mar 27 2003 Nicolas Mailhot <Nicolas.Mailhot@One2team.com> 0:2.5.0.d1-1jpp
- For jpackage-utils 1.5

* Wed Jan 22 2003 Ville Skyttä <ville.skytta at iki.fi> - 2.4.1-2jpp
- bsf -> oldbsf.
- Use non-versioned jar in alternative, don't remove it on upgrade.
- Remove hardcoded packager tag.

* Mon Nov 04 2002 Henri Gomez <hgomez@users.sourceforge.net> 2.4.1-1jpp
- 2.4.1

* Tue Sep 10 2002 Ville Skyttä <ville.skytta at iki.fi> 2.4.0-1jpp
- 2.4.0.

* Thu Aug 22 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.4-0.D1.3jpp
- corrected case for Group tag
- fixed servlet classpath

* Tue Aug 20 2002 Ville Skyttä <ville.skytta at iki.fi> 2.4-0.D1.2jpp
- Remove xerces-j1 runtime dependency.
- Add bcel, jlex, regexp to xsltc runtime requirements:
  <http://xml.apache.org/xalan-j/xsltc_usage.html>
- Build with -Dbuild.compiler=modern (IBM 1.3.1) to avoid stylebook errors.
- XSLTC now provides jaxp_transform_impl too.
- Earlier changes by Henri, from unreleased 2.4-D1.1jpp:
    Mon Jul 15 2002 Henri Gomez <hgomez@users.sourceforge.net> 2.4-D1.1jpp
  - 2.4D1
  - use the jlex 1.2.5-5jpp (patched by Xalan/XSLTC team) rpm
  - use the stylebook-1.0-b3_xalan-2.jar included in source file till it will
    be packaged in jpackage
  - use jaxp_parser_impl (possibly xerces-j2) instead of xerces-j1 for docs
    generation, since it's tuned for stylebook-1.0-b3_xalan-2.jar
  - build and provide xsltc in a separate rpm

* Mon Jul 01 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.3.1-2jpp
- provides jaxp_transform_impl
- requires jaxp_parser_impl
- stylebook already requires xml-commons-apis
- jaxp_parser_impl already requires xml-commons-apis
- use sed instead of bash 2.x extension in link area to make spec compatible with distro using bash 1.1x

* Wed Jun 26 2002 Henri Gomez <hgomez@users.sourceforge.net> 2.3.1-2jpp
- fix built classpath (bsf, bcel are existing jpackage rpms),
- 2.3.1
- vendor, distribution, group tags

* Mon Mar 18 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.3.0-2jpp
- generic servlet support

* Wed Feb 20 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.3.0-1jpp
- 2.3.0
- no more compat jar

* Sun Jan 27 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.2.0-2jpp
- adaptation to new stylebook1.0b3 package
- used source tarball
- section macro

* Fri Jan 18 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.2.0-1jpp
- 2.2.0 final
- versioned dir for javadoc
- no dependencies for manual and javadoc packages
- stricter dependency for compat and demo packages
- fixed package confusion
- adaptation for new servlet3 package
- requires xerces-j1 instead of jaxp_parser
- xml-apis jar now in required xml-commons-apis external package

* Wed Dec 5 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.2.D14-1jpp
- 2.2.D14
- javadoc into javadoc package
- compat.jar into compat package
- compat javadoc into compat-javadoc package

* Wed Nov 21 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 2.2.D13-2jpp
- changed extension to jpp
- prefixed xml-apis

* Tue Nov 20 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 2.2.D13-1jpp
- 2.2.D13
- removed packager tag

* Sat Oct 6 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.2.D11-1jpp
- 2.2.D11

* Sun Sep 30 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.2.D10-2jpp
- first unified release
- s/jPackage/JPackage

* Fri Sep 14 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.2.D10-1mdk
- cvs references
- splitted demo package
- moved demo files to %%{_datadir}/%%{name}
- only manual package requires stylebook-1.0b3
- only demo package requires servletapi3

* Wed Aug 22 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.2.D9-1mdk
- 2.2.9
- used new source packaging policy
- added samples data

* Wed Aug 08 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.2.D6-1mdk
- first Mandrake release
